=== debian/changelog ===
fpc (3.2.0+dfsg-12) unstable; urgency=medium

  [ Graham Inggs ]
  * Drop unnecessary build dependency on binutils

  [ Abou Al Montacir ]
  * Disable FPU inlining on m68k.
    Thanks to John Paul Adrian Glaubitz (Closes: Bug#980841)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 25 Jan 2021 22:36:28 +0100

fpc (3.2.0+dfsg-11) bullseye; urgency=medium

  * Add missing backslash in fp-compiler.postinst (Closes: #979850)
  * Upload to bullseye since fp-compiler is not installable in unstable

 -- Graham Inggs <ginggs@debian.org>  Tue, 12 Jan 2021 11:45:42 +0000

fpc (3.2.0+dfsg-9) unstable; urgency=medium

  * Added unversioned links to fpcmkcfg and samplecfg tools.
    Thanks to Сергей Фёдоров (Closes: Bug#975351)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 03 Jan 2021 17:27:29 +0100

fpc (3.2.0+dfsg-8) unstable; urgency=medium

  * Further updates to list of expected test failures on arm32/arm64
    + add ../packages/rtl-objpas/tests/testrunner.rtlobjpas on arm32/arm64
    + add webtbs/tw22992 on arm32
    + add webtbs/tw23185 on arm32

 -- Peter Michael Green <plugwash@debian.org>  Sat, 22 Aug 2020 13:17:07 +0000

fpc (3.2.0+dfsg-7) unstable; urgency=medium

  * Update list of expected test failures on
    arm32/arm64/i386
    + add test/cg/tm128 on arm32/i386
    + add test/tarray15 on arm32/arm64/i386
    + add test/tinlrange1 on arm32
    + add test/tinlrange3 on arm32
    + add test/tlib1b on arm32
    + add test/tlibrary2 on arm32
    + add test/tweaklib2 on arm32
    + add tbs/tb0643 on arm32/arm64
    + add webtbs/tw0876 on i386
    + add webtbs/tw12038 on arm32/arm64/i386
    + add webtbs/tw12704b on arm32
    + add webtbs/tw13628b on arm32
    + add webtbs/tw14958b on arm32
    + add webtbs/tw16263b on arm32
    + add webtbs/tw16949b on arm32
    + add webtbs/tw17904 on arm32/arm64/i386
    + add webtbs/tw22744b on arm32/arm64/i386
    + add webtbs/tw22992 on arm32
    + add webtbs/tw23185 on arm32
    + add webtbs/tw26481 on arm32/arm64/i386
    + add webtbs/tw2886 on arm32/arm64/i386
    + add webtbs/tw32671 on i386
    + add webtbs/tw36179 on arm32/arm64
    + add webtbs/tw3964b on arm32
    + add webtbs/tw6822c on arm32
    + add webtbs/tw7838b on arm32
    + add webtbs/tw8730c on arm32
    + add webtbs/tw8730d on arm32
    + add webtbs/tw9089c on arm32
    + add webtbs/tw9089d on arm32
    + add webtbf/tw18225b on i386
    + add webtbf/tw25862 on arm32/arm64

 -- Peter Michael Green <plugwash@debian.org>  Fri, 21 Aug 2020 11:39:19 +0000

fpc (3.2.0+dfsg-6) unstable; urgency=medium

  * Make autopkgtest more verbose.
  * Fix issue with autopkgtest trying to use a packaged fcl with a locally
    built rtl by cleaning up the rtl that is built during makefile generation
    (Closes: 968245)
  * Fix version lists in utests.pp
  * Make autopkgtest use unified diff to report changes in failures.
  * Update list of expected test failures on amd64
    + add test/tarray15
    + add webtbs/tw12038
    + add webtbs/tw17904
    + add webtbs/tw22744b
    + add webtbf/tw25862
    + add webtbs/tw26481
    + add webtbs/tw2886
    + add webtbs/tw29957

 -- Peter Michael Green <plugwash@debian.org>  Tue, 18 Aug 2020 19:53:55 +0000

fpc (3.2.0+dfsg-5) unstable; urgency=medium

  * Disable optimizations when building for m68k.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 07 Aug 2020 17:24:16 +0200

fpc (3.2.0+dfsg-4) experimental; urgency=medium

  * Fixed liking with libc when PIC is enabled (x86_64 specific).

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Aug 2020 12:50:43 +0200

fpc (3.2.0+dfsg-3) experimental; urgency=medium

  * Fixed default value of units global dir based on base installation dir.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Aug 2020 23:23:02 +0200

fpc (3.2.0+dfsg-2) experimental; urgency=medium

  * Fixed FPCDIR default value detection after FileExist behavior change.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Aug 2020 19:55:39 +0200

fpc (3.2.0+dfsg-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
    Fixes: lintian: file-contains-trailing-whitespace
    See-also: https://lintian.debian.org/tags/file-contains-trailing-whitespace.html
  * Use secure copyright file specification URI.
    Fixes: lintian: insecure-copyright-format-uri
    See-also: https://lintian.debian.org/tags/insecure-copyright-format-uri.html
  * Wrap long lines in changelog entries: 3.0.0+dfsg-8, 3.0.0+dfsg-4, 2.6.2-2.
    Fixes: lintian: debian-changelog-line-too-long
    See-also: https://lintian.debian.org/tags/debian-changelog-line-too-long.html
  * Use secure URI in debian/watch.
    Fixes: lintian: debian-watch-uses-insecure-uri
    See-also: https://lintian.debian.org/tags/debian-watch-uses-insecure-uri.html
  * Set upstream metadata fields: Archive, Repository.
    Fixes: lintian: upstream-metadata-file-is-missing
    See-also: https://lintian.debian.org/tags/upstream-metadata-file-is-missing.html
    Fixes: lintian: upstream-metadata-missing-repository
    See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html
  * Fix day-of-week for changelog entries 2.6.2-1, 2.6.0-6, 2.6.0-1, 2.4.2-3, 2.4.2-1, 2.4.0-3, 2.4.0-2, 2.2.4-5, 2.2.4-4, 2.2.2-6, 2.2.2-5, 2.0.4-rc1, 1.0.4+1.0.6cvs20020228-1, 1.0.1-0.
    Fixes: lintian: debian-changelog-has-wrong-day-of-week
    See-also: https://lintian.debian.org/tags/debian-changelog-has-wrong-day-of-week.html

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 06 Jun 2020 00:27:44 +0200

fpc (3.2.0~rc1+dfsg-3) experimental; urgency=medium

  * Support building on ppc64el.
    Thanks to John Paul Adrian Glaubitz (Closes: #963623)
  * Fix FTBFS on m68k

 -- Paul Gevers <elbrus@debian.org>  Thu, 25 Jun 2020 17:19:22 +0200

fpc (3.2.0~rc1+dfsg-2) experimental; urgency=medium

  [ Paul Gevers ]
  * Drop fpcsrc/.gitignore, also from future upstream sources
  * Don't install libffi on non-amd64 systems as it's not built there


