=== debian/changelog ===
fpc (3.2.2+dfsg-46) unstable; urgency=medium

  * Removed helper programs that are useful only to build compiler.
    These programs are not even usable outside the compiler sources folder.
    (Closes: Bug#1095306)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Feb 2025 21:45:34 +0100

fpc (3.2.2+dfsg-45) unstable; urgency=medium

  * Fixed hardening configuration for aarch64 architecture.
  * Updated DEP12 upstream metadata.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 06 Feb 2025 20:02:48 +0100

fpc (3.2.2+dfsg-44) unstable; urgency=medium

  * Enabled hardening for armhf architectures.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Tue, 04 Feb 2025 17:29:14 +0100

fpc (3.2.2+dfsg-43) unstable; urgency=medium

  * Fixed path of hardening configuration file.
  * Removed Lintian overrides that are no more used.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 03 Feb 2025 00:18:40 +0100

fpc (3.2.2+dfsg-42) unstable; urgency=medium

  * Fixed build of arch all packages.
  * Fixed dependencies of fp-utils package and reduced build dependencies.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 19:31:30 +0100

fpc (3.2.2+dfsg-41) unstable; urgency=medium

  [ Carles Pina i Estany ]
  * Added po-debconf Catalan translation

  [ Abou Al Montacir ]
  * Reformatted Catalan translation file.
  * Enforce coherence between debian/control and debian/control.in files.
  * Replaced legacy debhelper option (-s) by new one (-a).
  * Fixed files encoding
  * Replaced direct parsing of changelog by function for dpkg/pkf-info.mk.
  * Added FPC configuration file to support hardening.
    Hardened program needs to be compiled using `fpc @hardening progname`.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 02 Feb 2025 14:50:09 +0100

fpc (3.2.2+dfsg-40) unstable; urgency=medium

  * Fixed build on i386 architecture.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 14:47:51 +0100

fpc (3.2.2+dfsg-39) unstable; urgency=medium

  * Allow installing libffi interfacing units on all architectures.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 13:54:20 +0100

fpc (3.2.2+dfsg-38) unstable; urgency=medium

  * Fixed warning about depreciated feature --list-missing in dh_install.
  * Removed dependency of fp-utils on fpc-source as it does not make sense.
  * Fixed variable name in fpc-depends.
  * Installed fp-units-rtl package examples.
  * Remove files that are not to be installed.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 13:02:34 +0100

fpc (3.2.2+dfsg-37) unstable; urgency=medium

  * Fixed build of architecture independent packages on sid.
  * Added support for ${fpc:Static-Built-using} in fpc-depnds.
    (Closes: Bug#997948)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 19 Jan 2025 00:05:12 +0100

fpc (3.2.2+dfsg-36) unstable; urgency=medium

  * Fixed default value of FPCDIR for ppc64el.
    This should fix build issues of Castle Game Engine on that target.
  * Bumped standard version to 4.7.0.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 18 Jan 2025 13:58:26 +0100

fpc (3.2.2+dfsg-35~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 19:34:18 +0100

fpc (3.2.2+dfsg-35) unstable; urgency=medium

  * Fixed location of third party fp-units packages configuration file.
    Generally, the configuration file is identical for all architectures.
    It does not make sense to have a different file per architecture
    especially that the configuration file supports conditional sections.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 05 Jan 2025 19:25:14 +0100

fpc (3.2.2+dfsg-34~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sun, 17 Nov 2024 21:23:45 +0100

fpc (3.2.2+dfsg-34) unstable; urgency=medium

  * Added Content-Type to prevent msgfmt crash.
    Thanks to Peter Blackman <peter@pblackman.plus.com> (Closes: Bug#1074706)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 13 Jul 2024 17:35:36 +0200

fpc (3.2.2+dfsg-33) unstable; urgency=medium

  * Fixed typo in package description and updated debhelper version.
    (Closes: Bug#1069157)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Sat, 08 Jun 2024 00:47:33 +0200

fpc (3.2.2+dfsg-32~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 09:45:26 +0100

fpc (3.2.2+dfsg-32~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 09:36:17 +0100

fpc (3.2.2+dfsg-32) unstable; urgency=medium

  * Fixed typo in man file name.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Fri, 05 Jan 2024 08:40:08 +0100

fpc (3.2.2+dfsg-31) unstable; urgency=medium

  * Removed fpcmkcfg man page from fp-utils as it is already shipped by
    fp-units-rtl. (Closes: Bug#1059950)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Thu, 04 Jan 2024 15:54:25 +0100

fpc (3.2.2+dfsg-30) unstable; urgency=medium

  * Updated timestamps file.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 16:38:42 +0100

fpc (3.2.2+dfsg-29) unstable; urgency=medium

  * Fixed lintian warning about missing man pages.
  * Implement support for SPARC 64-bit in fpcres.
    Lazarus build fails on sparc64 due to missing support of this
    architecture in fpcres tool. This patch backports the support to
    version 3.2.2.

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Wed, 03 Jan 2024 16:16:21 +0100

fpc (3.2.2+dfsg-28) unstable; urgency=medium

  * Reverted changes in fp-utils causing upgrade problems. (Closes: Bug#1059772)

 -- Abou Al Montacir <abou.almontacir@sfr.fr>  Mon, 01 Jan 2024 15:28:49 +0100

fpc (3.2.2+dfsg-27) unstable; urgency=medium

  * Source upload after fixing build issue on sid.
